Package org.apache.jasper.el

## Class JspMethodExpression

- java.lang.Object
- - javax.el.Expression
  - - javax.el.MethodExpression
    - - org.apache.jasper.el.JspMethodExpression

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public final class JspMethodExpression
      extends MethodExpression
      implements java.io.Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JspMethodExpression()` |
    `JspMethodExpression​(java.lang.String mark, MethodExpression target)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getExpressionString()` |
    `MethodInfo` | `getMethodInfo​(ELContext context)` |
    `int` | `hashCode()` |
    `java.lang.Object` | `invoke​(ELContext context, java.lang.Object[] params)` |
    `boolean` | `isLiteralText()` |
    `boolean` | `isParametersProvided()` |
    `void` | `readExternal​(java.io.ObjectInput in)` |
    `void` | `writeExternal​(java.io.ObjectOutput out)` |

    - ### Methods inherited from class javax.el.MethodExpression

      `isParmetersProvided`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspMethodExpression

          public JspMethodExpression()

    - #### JspMethodExpression

          public JspMethodExpression​(java.lang.String mark,
                                     MethodExpression target)

  - ### Method Detail

    - #### getMethodInfo

          public MethodInfo getMethodInfo​(ELContext context)
                                   throws java.lang.NullPointerException,
                                          PropertyNotFoundException,
                                          MethodNotFoundException,
                                          ELException

      Specified by:
        `getMethodInfo` in class `MethodExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        Information about the method that this expression resolves to
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property

    - #### invoke

          public java.lang.Object invoke​(ELContext context,
                                         java.lang.Object[] params)
                                  throws java.lang.NullPointerException,
                                         PropertyNotFoundException,
                                         MethodNotFoundException,
                                         ELException

      Specified by:
        `invoke` in class `MethodExpression`
      Parameters:
        `context` - The EL context for this evaluation
        `params` - The parameters with which to invoke this method expression
      Returns:
        The result of invoking this method expression
      Throws:
        `java.lang.NullPointerException` - If the supplied context is `null`
        `PropertyNotFoundException` - If a property/variable resolution failed because no match was found or a match was found but was not readable
        `MethodNotFoundException` - If no matching method can be found
        `ELException` - Wraps any exception throw whilst resolving the property or coercion of the result to the expected return type fails

    - #### isParametersProvided

          public boolean isParametersProvided()

      Overrides:
        `isParametersProvided` in class `MethodExpression`
      Returns:
        This default implementation always returns `false`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Specified by:
        `equals` in class `Expression`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Expression`

    - #### getExpressionString

          public java.lang.String getExpressionString()

      Specified by:
        `getExpressionString` in class `Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `Expression`

    - #### writeExternal

          public void writeExternal​(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal​(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`